> ## Documentation Index
> Fetch the complete documentation index at: https://help.commbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Audiences

> This API returns a list of all existing audiences for the authenticated account.

No Path or Body params are required.

## OpenAPI

````json GET /audiences
{
  "openapi": "3.0.3",
  "info": {
    "title": "CommBox API",
    "x-logo": {
      "url": "https://www.commbox.io/logo/commbox_logo_large.png"
    },
    "version": "2.07",
    "termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/",
    "contact": {
      "name": "commbox",
      "url": "https://www.commbox.io",
      "email": "contactus@commbox.io"
    }
  },
  "servers": [
    {
      "url": "https://api.commbox.io/",
      "description": "Production server"
    }
  ],
  "paths": {
    "/audiences": {
      "get": {
        "tags": [
          "Audiences"
        ],
        "summary": "Get Audiences",
        "description": "This API returns a list of all existing audiences for the authenticated account.\n\nNo Path or Body params are required.",
        "operationId": "Get_Audiences",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": 200
                    },
                    "description": {
                      "type": "string",
                      "example": "Audiences retrieved"
                    },
                    "response_time": {
                      "type": "string",
                      "example": "2026-02-11T12:00:00Z"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "oneOf": [
                          {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "description": "Unique identifier for the audience",
                                "example": "31234"
                              },
                              "name": {
                                "type": "string",
                                "description": "Audience name",
                                "example": "NE_USA-above50"
                              },
                              "created_time": {
                                "type": "string",
                                "format": "ISO 8601",
                                "description": "Timestamp of audience creation",
                                "example": "2025-10-01T09:10:00Z"
                              },
                              "user_count": {
                                "type": "integer",
                                "description": "Number of users currently in the static audience",
                                "example": 1542
                              },
                              "type": {
                                "type": "string",
                                "description": "Audience type: 'Static' or 'Dynamic'",
                                "example": "Static"
                              }
                            }
                          },
                          {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "description": "Unique identifier for the audience",
                                "example": "45412"
                              },
                              "name": {
                                "type": "string",
                                "description": "Audience name",
                                "example": "VIP"
                              },
                              "created_time": {
                                "type": "string",
                                "format": "ISO 8601",
                                "description": "Timestamp of audience creation",
                                "example": "2025-11-01T08:30:00Z"
                              },
                              "type": {
                                "type": "string",
                                "description": "Audience type: 'Static' or 'Dynamic'",
                                "example": "Dynamic"
                              }
                            }
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - The request could not be understood by the server.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400
                    },
                    "description": {
                      "type": "string",
                      "example": "Bad Request"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  },
                  "required": [
                    "status",
                    "description"
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing Bearer token",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 401
                    },
                    "description": {
                      "type": "string",
                      "example": "Unauthorized"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  },
                  "required": [
                    "status",
                    "description"
                  ]
                }
              }
            }
          },
          "404": {
            "description": "Not Found - The requested resource was not found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 404
                    },
                    "description": {
                      "type": "string",
                      "example": "Not Found"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  },
                  "required": [
                    "status",
                    "description"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests - Too many requests have been made in a short period of time (Throttling)",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 429
                    },
                    "description": {
                      "type": "string",
                      "example": "Too Many Requests – Rate limit exceeded"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  },
                  "required": [
                    "status",
                    "description"
                  ]
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 500
                    },
                    "description": {
                      "type": "string",
                      "example": "Server Error"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  },
                  "required": [
                    "status",
                    "description"
                  ]
                }
              }
            }
          }
        }
      }
    }
  }
}
````

